import React, { useState, useEffect } from 'react';

let list = []
let QnAadmin = {}
let savechoose = {}

function AdminQuiz(props) {

    const [question, setQuestion] = useState(props.data.Q)
    // const [choose, setChoose] = useState(props.data.Choose)
    const [choose, setChoose] = useState('')
    const [answer, setAnswer] = useState(props.data.A)
    const [selectOption, setselectOption] = useState(1)
    // const [c, setC] = useState(props.data.Choose)       
    console.log(props.data.Choose)
    console.log(choose)
    // console.log
    // props.quizNum가 바뀔때마다 즉, Admin.js에서 퀴즈버튼을 바꿔누를때마다 useEffect가 발생하여 값을 업데이트 시켜줍니다.
    useEffect(() => {
        setQuestion(props.data.Q)
        // setC(props.data.Choose)
        setAnswer(props.data.A)
        console.log(props.data.Choose)
        console.log(choose)
        // document.getElementById('3').value = c[2]
        // document.getElementById('4').value = c[3]

        // setcn(props.data.Choose)
        // eslint-disable-next-line
    }, [props.quizNum])

    const handleChangeQuestion = (event) => {
        QnAadmin['Q'] = event.target.value
        setQuestion(event.target.value)
    }

    const handleChangeChoose = (event) => {
        savechoose[event.target.id] = event.target.value
        setChoose(event.target.value)
        // console.log(event.target.value)
    }

    const handleChangeanswer = (event) => {
        QnAadmin['A'] = event.target.value
        setAnswer(event.target.value)
    }

    function addSelectOption() {
        list.push(
            <div className="input-group">
                <div className="input-group-prepend">
                    <div className="input-group-text">
                        <input type="radio" checked={false} name="answer" />
                    </div>
                </div>
                <input type="text" class="form-control" id={String(selectOption + 1)} placeholder={(selectOption + 1) + '번 보기를 입력하세요'} onChange={handleChangeChoose} />
            </div>
        )
        setselectOption(selectOption + 1)
    }


    function handleClick() {
        if (!question) {
            alert('문제가 입력되지 않았습니다.')
        }
        else if (!choose) {
            alert('보기가 입력되지 않았습니다.')
        }
        else if (!answer) {
            alert('정답이 입력되지 않았습니다.')
        }
        else {
            QnAadmin['Choose'] = Object.values(savechoose)
            QnAadmin['N'] = String(props.quizNum)
            props.fn(QnAadmin)
            QnAadmin = {}
            alert('입력이 완료되었습니다.')
        }

    }

    return (
        <div className="" id="Quiz1">
            <h2 className="p-3 border text-center bg-white">{String(props.quizNum)}번 문제만들기</h2>
            <div className="p-3 borber">
                <div className="p-3 ">
                    <span className="font-weight-bold mr-2 h3">1. 문제 입력하기</span>
                    <input type="text" id="inputQuiz" className="form-control" value={question} onChange={handleChangeQuestion} placeholder="문제를 입력하세요" />
                </div>
                <div className="p-3 ">
                    <span className="font-weight-bold mr-2 h3">2. 보기 입력하기</span>
                    <div className="p-3 ">
                        <div className="input-group">
                            <div className="input-group-prepend">
                                <div className="input-group-text">
                                    <input type="radio" checked={false} name="answer" />
                                </div>
                            </div>
                            <input type="text" className="form-control" id='1' placeholder="1번 보기를 입력하세요" onChange={handleChangeChoose} />
                        </div>
                        {list.map((element, index) => element)}
                        <button className="btn btn-outline-secondary btn-sm" onClick={addSelectOption}>+</button>
                    </div>
                </div>

                <div className="p-3 ">
                    <span className="font-weight-bold mr-2 h3">정답:</span>
                    <input type="text" value={answer} onChange={handleChangeanswer} placeholder="정답을 입력하세요" />
                </div>

                <label for="inputLogin" className="d-flex justify-content-center">
                    <button className="mt-4 btn btn-dark" onClick={handleClick}>작성완료</button>
                </label>
            </div>
        </div>
    )
}

export default AdminQuiz
